# Uses of Interface
org.italiangrid.voms.request.VOMSRequestListener

Packages that use VOMSRequestListener
Package
Description
org.italiangrid.voms.request.impl
This package provides the implementation logic for VOMS attributes requests.
org.italiangrid.voms.util
This package provides utility classes used in other packages.

## Uses of VOMSRequestListener in org.italiangrid.voms.request.impl

Fields in org.italiangrid.voms.request.impl declared as VOMSRequestListener
Modifier and Type
Field
Description
`protected final VOMSRequestListener`
DefaultVOMSACService.`requestListener`
The listener that will be informed about request events
Methods in org.italiangrid.voms.request.impl with parameters of type VOMSRequestListener
Modifier and Type
Method
Description
`static FakeVOMSACService`
FakeVOMSACService.`newInstance(eu.emi.security.authn.x509.X509Credential aaCredential, ACGenerationParams params, VOMSRequestListener listener)`
`static FakeVOMSACService`
FakeVOMSACService.`newInstanceFromProperties(VOMSRequestListener listener)`
`DefaultVOMSACService.Builder`
DefaultVOMSACService.Builder.`requestListener(VOMSRequestListener l)`
Sets the request listener for the `DefaultVOMSACService` that this builder is creating

## Uses of VOMSRequestListener in org.italiangrid.voms.util

Classes in org.italiangrid.voms.util that implement VOMSRequestListener
Modifier and Type
Class
Description
`enum`
`NullListener`
A Singleton Listener which swallows notification.